/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { ToolActionDescription } from "./ToolActionDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var ToolActionIconButtonDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(ToolActionIconButtonDescription, _super);
    function ToolActionIconButtonDescription() {
        var _this = _super.call(this) || this;
        _this.ec = 0;
        _this.eb = 0;
        _this.d0 = 0;
        _this.dw = 0;
        _this.d2 = 0;
        _this.dy = 0;
        _this.d1 = 0;
        _this.dx = 0;
        _this.dz = 0;
        _this.dv = 0;
        _this.ef = null;
        return _this;
    }
    ToolActionIconButtonDescription.prototype.get_type = function () {
        return "ToolActionIconButton";
    };
    Object.defineProperty(ToolActionIconButtonDescription.prototype, "tooltipDelay", {
        get: function () {
            return this.ec;
        },
        set: function (a) {
            this.ec = a;
            this.g("TooltipDelay");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionIconButtonDescription.prototype, "actualTooltipDelay", {
        get: function () {
            return this.eb;
        },
        set: function (a) {
            this.eb = a;
            this.g("ActualTooltipDelay");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionIconButtonDescription.prototype, "contentPaddingLeft", {
        get: function () {
            return this.d0;
        },
        set: function (a) {
            this.d0 = a;
            this.g("ContentPaddingLeft");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionIconButtonDescription.prototype, "actualContentPaddingLeft", {
        get: function () {
            return this.dw;
        },
        set: function (a) {
            this.dw = a;
            this.g("ActualContentPaddingLeft");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionIconButtonDescription.prototype, "contentPaddingTop", {
        get: function () {
            return this.d2;
        },
        set: function (a) {
            this.d2 = a;
            this.g("ContentPaddingTop");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionIconButtonDescription.prototype, "actualContentPaddingTop", {
        get: function () {
            return this.dy;
        },
        set: function (a) {
            this.dy = a;
            this.g("ActualContentPaddingTop");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionIconButtonDescription.prototype, "contentPaddingRight", {
        get: function () {
            return this.d1;
        },
        set: function (a) {
            this.d1 = a;
            this.g("ContentPaddingRight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionIconButtonDescription.prototype, "actualContentPaddingRight", {
        get: function () {
            return this.dx;
        },
        set: function (a) {
            this.dx = a;
            this.g("ActualContentPaddingRight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionIconButtonDescription.prototype, "contentPaddingBottom", {
        get: function () {
            return this.dz;
        },
        set: function (a) {
            this.dz = a;
            this.g("ContentPaddingBottom");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionIconButtonDescription.prototype, "actualContentPaddingBottom", {
        get: function () {
            return this.dv;
        },
        set: function (a) {
            this.dv = a;
            this.g("ActualContentPaddingBottom");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionIconButtonDescription.prototype, "popupOpeningRef", {
        get: function () {
            return this.ef;
        },
        set: function (a) {
            this.ef = a;
            this.g("PopupOpeningRef");
        },
        enumerable: false,
        configurable: true
    });
    ToolActionIconButtonDescription.$t = markType(ToolActionIconButtonDescription, 'ToolActionIconButtonDescription', ToolActionDescription.$);
    return ToolActionIconButtonDescription;
}(ToolActionDescription));
export { ToolActionIconButtonDescription };
